- Qt 5.15
- Qt Sensors
- C++ Classes
- QOrientationSensor
- Qt 5.15.15 Reference Documentation

# QOrientationSensor Class

The QOrientationSensor class is a convenience wrapper around QSensor. More...

Header: | #include <QOrientationSensor>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Public Functions

| QOrientationSensor(QObject *parent = Q_NULLPTR)
virtual | ~QOrientationSensor()
QOrientationReading * | reading() const

## Detailed Description

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QOrientationReading instead of a QSensorReading.

For details about how the sensor works, see QOrientationReading.

See also QOrientationReading.

## Member Function Documentation

### QOrientationSensor::QOrientationSensor(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### `[virtual]` QOrientationSensor::~QOrientationSensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QOrientationReading *QOrientationSensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().